;-| Button Remapping |-----------------------------------------------------

[Remap]
x = x
y = y
z = z
a = a
b = b
c = c
s = s

;-| Default Values |-------------------------------------------------------

[Defaults]
command.time = 15
command.buffer.time = 1

;-| Super Motions |--------------------------------------------------------

;-| Special Motions |------------------------------------------------------

[Command]
name = "DF_c"
command = D, DF, F, c

;-| Double Tap |-----------------------------------------------------------

[Command]
name = "FF"     	;Required (do not remove)
command = F, F
time = 10

[Command]
name = "BB"     	;Required (do not remove)
command = B, B
time = 10

;-| 2/3 Button Combination |-----------------------------------------------

[Command]
name = "recovery"	;Required (do not remove)
command = x+y
time = 1

;-| Dir + Button |---------------------------------------------------------

;-| Single Button |---------------------------------------------------------

[Command]
name = "a"
command = a
time = 1

[Command]
name = "b"
command = b
time = 1

[Command]
name = "c"
command = c
time = 1

;-| Hold Dir |--------------------------------------------------------------

[Command]
name = "holdfwd"	;Required (do not remove)
command = /$F
time = 1

[Command]
name = "holdback"	;Required (do not remove)
command = /$B
time = 1

[Command]
name = "holdup" 	;Required (do not remove)
command = /$U
time = 1

[Command]
name = "holddown"	;Required (do not remove)
command = /$D
time = 1

;===========================================================================
[Statedef -1]

;---------------------------------------------------------------------------
; Dash Forward (Ground)
[State -1, Dash Forward Ground]
type = ChangeState
value = 100
trigger1 = command = "FF"
trigger1 = statetype = S
trigger1 = ctrl

;---------------------------------------------------------------------------
; Dash Backward (Ground)
[State -1, Dash Backward Ground]
type = ChangeState
value = 105
trigger1 = command = "BB"
trigger1 = statetype = S
trigger1 = ctrl

;---------------------------------------------------------------------------
; Dash Forward (Air)
[State -1, Dash Forward Air]
type = ChangeState
value = 110
trigger1 = Var(41) > 0
trigger1 = command = "FF"
trigger1 = statetype = A
trigger1 = ctrl

;---------------------------------------------------------------------------
; Dash Backward (Air)
[State -1, Dash Backward Air]
type = ChangeState
value = 115
trigger1 = Var(41) > 0
trigger1 = command = "BB"
trigger1 = statetype = A
trigger1 = ctrl

;---------------------------------------------------------------------------
; Mid Air Kick (Air)
[State -1, Mid Air Kick Air]
type = Changestate
value = 500
triggerall = command = "DF_c"
triggerall = command != "holddown"
triggerall = Power >= 120
trigger1 = statetype = A
trigger1 = ctrl
trigger2 = stateno = 410

;---------------------------------------------------------------------------
; Mid Air Kick (Ground)
[State -1, Mid Air Kick Ground]
type = Changestate
value = 400
triggerall = command = "DF_c"
triggerall = command != "holddown"
triggerall = Power >= 120
trigger1 = statetype = S
trigger1 = ctrl
trigger2 = (stateno = 200) && movecontact
trigger3 = (stateno = 210) && movecontact
trigger4 = (stateno = 310) && movecontact
trigger5 = (stateno = 510) && movecontact

;---------------------------------------------------------------------------
; Slash Combo 1
[State -1, Slash Combo 1]
type = ChangeState
value = 200
triggerall = command = "b"
triggerall = command != "holddown"
trigger1 = statetype = S
trigger1 = ctrl
trigger2 = (stateno = 310) && movecontact
trigger3 = (stateno = 510) && movecontact

;---------------------------------------------------------------------------
; Slash Combo 2
[State -1, Slash Combo 2]
type = ChangeState
value = 210
triggerall = command = "b"
triggerall = command != "holddown"
trigger1 = statetype = S
trigger1 = ctrl
trigger2 = (stateno = 200) && movecontact

;---------------------------------------------------------------------------
; Jumping Slash
[State -1, Jumping Slash]
type = ChangeState
value = 300
trigger1 = command = "b"
trigger1 = statetype = A
trigger1 = ctrl